%global _name Hystrix

Name:           hystrix
Version:        1.4.21
Release:        5%{?dist}
Summary:        Library for Latency and Fault Tolerance in Distributed Systems
License:        ASL 2.0
URL:            https://github.com/Netflix/%{_name}/wiki
Source0:        https://github.com/Netflix/%{_name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         hystrix.pom.patch
BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(com.netflix.archaius:archaius-core)
BuildRequires: mvn(io.reactivex:rxjava)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(commons-configuration:commons-configuration)
BuildRequires: mvn(javax.servlet:servlet-api)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(log4j:log4j)

%description
Hystrix is a latency and fault tolerance library designed to isolate points of
access to remote systems, services and 3rd party libraries, stop cascading
failure and enable resilience in complex distributed systems where failure is
inevitable. 

%package core
Summary: Core module of Hystrix

%package metrics-event-stream
Summary: Java servlet which exposes %{_name} metrics

%package javadoc
Summary: API documentation for %{name}

%description core
Core module of %{_name}.

%description metrics-event-stream
Java servlet which exposes %{_name} metrics in a text/event-stream formatted
stream.

%description javadoc
This package provides API documentation for %{name}.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

find . -name '*.class' -delete
find . -name '*.jar' -delete

%mvn_package ":hystrix-core" core
%mvn_package ":hystrix-metrics-event-stream" metrics-event-stream

%build
%mvn_build

%install
%mvn_install
rm %{buildroot}%{_datadir}/maven-fragments/hystrix.xml
rm %{buildroot}%{_datadir}/maven-poms/JPP.hystrix-hystrix-parent.pom

%files core -f .mfiles-core
%doc README.md CHANGELOG.md
%license LICENSE

%files metrics-event-stream -f .mfiles-metrics-event-stream
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Dec 15 2015 Roman Mohr <roman@fenkhuber.at> - 1.4.21-5
- Prepare for build on epel7
- Remove histrix dashboard on epel7

* Wed Dec 09 2015 Roman Mohr <roman@fenkhuber.at> - 1.4.21-4
- Properly own the webapps subdirectories

* Tue Dec 08 2015 Roman Mohr <roman@fenkhuber.at> - 1.4.21-3
- Add dashboard

* Wed Dec 02 2015 Roman Mohr <roman@fenkhuber.at> - 1.4.21-2
- Run hystrix unit tests

* Wed Nov 04 2015 Roman Mohr <roman@fenkhuber.at> - 1.4.21-1
- Initial packaging
